routes/web.php
<?php

use Illuminate\Support\Str;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('landing_page');
})->name('landing');

Auth::routes(['verify' => true]);

// Routes for the users/members are defined here
Route::middleware(['auth'])->group(function () {
    Route::namespace('Member')->group(function () {
        Route::get('dashboard', 'MemberController@dashboard')->name('dashboard'); //->middleware('verified');

        Route::get('invoices', 'MemberController@getInvoices');
        Route::get('invoices/{code}', 'MemberController@getInvoiceDetail')->name('invoices.detail');
        Route::get('invoices/generate/{code}', 'MemberController@getInvoiceGenerate')->name('invoices.generate');

        Route::get('payment/{code}', 'MemberController@showPaymentPage');
        Route::post('payment/upload-receipt', 'MemberController@uploadPaymentReceipt');

        Route::get('profile', 'ProfileController@index')->name('member.profile');
        Route::post('profile/update', 'ProfileController@updateProfile')->name('member.update');
        Route::post('profil/update-avatar', 'ProfileController@saveAvatar');

        Route::get('transactions', 'TransactionController@index');

        Route::post('notifications/mark-as-read', 'MemberController@markNotification');
    });
});

// Routes for the admin are defined here
Route::prefix('admin')->namespace('Admin')->group(function () {
    Route::match(['get', 'post'], 'login', 'AuthController@login')->middleware('guest');
    Route::middleware(['auth:admin'])->group(function () {
        Route::get('dashboard', 'AdminDashboardController@index');
        Route::get('logout', 'AuthController@logout')->name('admin.logout');
        Route::resource('garbage-categories', 'GarbageCategoryController');
        Route::resource('hamlets', 'HamletController');

        Route::get('members', 'AdminController@indexMembers')->name('members.index');
        Route::get('members/detail/{id}', 'AdminController@getMemberDetails')->name('members.detail');
        Route::get('members/data', 'AdminController@getMembersData');
        Route::post('members/change-status', 'AdminController@changeMemberStatus');
        Route::get('members/count', 'AdminController@countMembers');
        // Route::post('members/delete/{id}', 'AdminController@destroyMember');

        Route::post('invoices/delete/{id}', 'InvoiceController@destroy');
        Route::get('invoices/data', 'InvoiceController@getData');
        Route::get('invoices/count', 'InvoiceController@count');
        Route::get('invoices/download/{code}', 'InvoiceController@downloadInvoice')->name('invoices.download');
        Route::post('invoices/confirm/{id}', 'InvoiceController@confirmPaymentManual')->name('invoices.confirm');

        Route::resource('invoices', 'InvoiceController');

        Route::get('transactions', 'TransactionController@index')->name('transactions.index');
        Route::get('transactions-data', 'TransactionController@getData');
        Route::get('transactions/count', 'TransactionController@count');
        Route::post('transactions/change-status', 'TransactionController@changeStatus');

        Route::resource('target-members', 'TargetMemberController');

        Route::get('report', 'ReportController@index')->name('report.index');
        Route::get('report-data', 'ReportController@getData');
        Route::get('report/export', 'ReportController@exportReport');

        Route::get('setting/banks', 'SettingController@indexBank')->name('setting.banks.index');
        Route::get('setting/banks/create', 'SettingController@createBank')->name('setting.banks.create');
        Route::post('setting/banks/create', 'SettingController@storeBank')->name('setting.banks.store');
        Route::get('setting/banks/edit/{id}', 'SettingController@editBank')->name('setting.banks.edit');
        Route::post('setting/banks/update/{id}', 'SettingController@updateBank')->name('setting.banks.update');
        Route::post('setting/banks/delete/{id}', 'SettingController@destroyBank')->name('setting.banks.destroy');

        Route::post('notifications/mark-as-read', 'AdminController@markNotification');
    });
});

Route::middleware(['auth:admin', 'superadmin'])->namespace('Admin')->prefix('super-admin')->group(function () {
    Route::get('admins', 'SuperAdminController@indexAdmins')->name('admin.index');
    Route::get('admins/create', 'SuperAdminController@createAdmin')->name('admin.create');
    Route::post('admins', 'SuperAdminController@storeAdmin')->name('admin.store');
    Route::post('admins/delete/{id}', 'SuperAdminController@destroyAdmin')->name('admin.destroy');
});

app/Models/GarbageCategory.php
<?php

namespace App\Models;

use App\User;
use Illuminate\Contracts\Auth\Guard;
use Illuminate\Database\Eloquent\Model;

class GarbageCategory extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'category_name',
        'price'
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    protected $guarded = [];
}

app/Http/Controllers/Admin/GarbageCategoryController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\GarbageCategory;
use Illuminate\Http\Request;

class GarbageCategoryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $categories = GarbageCategory::all();

        return view('admin.garbage-categories.index', compact('categories'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.garbage-categories.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'category_name' => 'required',
            'price' => ['required', 'numeric']
        ]);

        GarbageCategory::create([
            'category_name' => $request->category_name,
            'price' => $request->price
        ]);

        return redirect()->route('garbage-categories.index')->with('success', 'Data berhasil ditambahkan.');
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $category = GarbageCategory::find($id);

        return view('admin.garbage-categories.edit', compact('category'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'category_name' => 'required',
            'price' => ['required', 'numeric']
        ]);

        $edit = GarbageCategory::find($id);
        $edit->category_name = $request->category_name;
        $edit->price = $request->price;
        $edit->save();

        return redirect()->route('garbage-categories.index')->with('success', 'Data berhasil diupdate.');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $gbCategory = GarbageCategory::find($id);
        $gbCategory->delete();

        return redirect()->route('garbage-categories.index')->with('success', 'Data berhasil dihapus.');
    }
}

resources/views/admin/garbage-categories/create.blade.php
@extends('layouts.admin.main')
@section('content')
<div class="main-content">
  <section class="section">
    <div class="section-header">
      <h1>Kategori Sampah</h1>
      <div class="section-header-breadcrumb">
        <div class="breadcrumb-item active"><a href="{{ url('admin/dashboard') }}">Dashboard</a></div>
        <div class="breadcrumb-item"><a href="{{ url('admin/garbage-categories') }}">Kategori Sampah</a></div>
        <div class="breadcrumb-item">Tambah Kategori</div>
      </div>
    </div>

    <div class="section-body">
      <div class="row">
        <div class="col-12 col-md-8 col-lg-8">
          <div class="card">
            <form method="post" action="{{ route('garbage-categories.store') }}" class="needs-validation" novalidate="">
              @csrf
              <div class="card-header">
                <h4>Tambah Kategori</h4>
              </div>
              <div class="card-body">
                <div class="form-group">
                  <label>Nama Kategori</label>
                  <input type="text" class="form-control" name="category_name" required="">
                  <div class="invalid-feedback">
                    Isian masih kosong
                  </div>
                </div>
                <div class="form-group">
                  <label>Harga</label>
                  <input type="number" class="form-control" name="price" required="">
                  <div class="invalid-feedback">
                    Isian masih kosong
                  </div>
                </div>
                <div class="card-footer text-right">
                  <button class="btn btn-primary">Submit</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </section>
</div>
@endsection

resources/views/admin/garbage-categories/edit.blade.php
@extends('layouts.admin.main')
@section('content')
<div class="main-content">
  <section class="section">
    <div class="section-header">
      <h1>Kategori Sampah</h1>
      <div class="section-header-breadcrumb">
        <div class="breadcrumb-item active"><a href="{{ url('admin/dashboard') }}">Dashboard</a></div>
        <div class="breadcrumb-item"><a href="{{ url('admin/garbage-categories') }}">Kategori Sampah</a></div>
        <div class="breadcrumb-item">Edit Kategori</div>
      </div>
    </div>

    <div class="section-body">
      <div class="row">
        <div class="col-12 col-md-8 col-lg-8">
          <div class="card">
            <form method="post" action="{{ route('garbage-categories.update', $category) }}" class="needs-validation"
              novalidate="">@csrf
              {{ method_field('PUT') }}
              <div class="card-header">
                <h4>Edit Kategori</h4>
              </div>
              <div class="card-body">
                <div class="form-group">
                  <label>Nama Kategori</label>
                  <input type="text" class="form-control" name="category_name" value="{{ $category->category_name }}"
                    required="">
                  <div class="invalid-feedback">
                    Isian masih kosong
                  </div>
                </div>
                <div class="form-group">
                  <label>Harga</label>
                  <input type="number" class="form-control" value="{{ $category->price }}" name="price" required="">
                  <div class="invalid-feedback">
                    Isian masih kosong
                  </div>
                </div>
                <div class="card-footer text-right">
                  <button class="btn btn-primary">Submit</button>
                </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </section>
</div>
@endsection

resources/views/admin/garbage-categories/index.blade.php
@extends('layouts.admin.main')
@section('content')
<div class="main-content">
  <section class="section">
    <div class="section-header">
      <h1>Kategori Sampah</h1>
      <div class="section-header-breadcrumb">
        <div class="breadcrumb-item"><a href="{{ url('admin/dashboard') }}">Dashboard</a></div>
        <div class="breadcrumb-item">Kategori Sampah</div>
      </div>
    </div>

    <div class="section-body">
        <div class="row">
        <div class="col-12">
          <div class="card">
            <div class="card-header">
              <h4>Data Kategori</h4>
            </div>
            <div class="card-body">
              <div>
                <a href="{{ route('garbage-categories.create') }}" class="btn btn-sm btn-primary mr-1 mb-3"><i
                    class="fas fa-plus"></i> Tambah Kategori</a>
              </div>
              <div class="table-responsive">
                <table class="table table-striped table-bordered" id="category">
                  <thead>
                    <tr>
                      <th class="text-center">No.</th>
                      <th>Jenis Kategori</th>
                      <th>Harga</th>
                      <th>Aksi</th>
                    </tr>
                  </thead>
                  <tbody>
                    @foreach($categories as $category)
                    <tr>
                      <td>{{ $loop->iteration }}</td>
                      <td>{{ $category->category_name }}</td>
                      <td>{{ number_format($category->price) }}</td>
                      <td>
                        <a href="{{ route('garbage-categories.edit', $category->id) }}" class="btn btn-sm btn-warning mr-1"
                          data-toggle="tooltip" title="Edit"><i class="fas fa-pencil-alt"></i></a>
                        <form style="display: inline-block;"action="{{ route('garbage-categories.destroy', $category) }}" method="post">
                          @csrf @method('DELETE')
                          <button class="btn btn-sm btn-danger" type="submit" data-toggle="tooltip" title="Hapus"><i
                              class="fas fa-trash"></i></button>
                        </form>
                      </td>
                    </tr>
                    @endforeach
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</div>
@endsection
@section('script')
@if (Session::has('success'))
<script>
iziToast.success({
  position: 'topRight',
  title: 'Sukses',
  message: '{{ Session::get("success") }}',
  timeout: 3000
});
</script>
@endif

<script>
$(document).ready(function() {
  $('#category').DataTable();
});
</script>
@endsection